PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.synchronization.work
Class PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId

    java.lang.Object
      org.hibernate.envers.synchronization.work.PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId

All Implemented Interfaces:
  Serializable

Enclosing class:
  PersistentCollectionChangeWorkUnit

    public static class PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId

extends Object
implements Serializable

A unique identifier for a collection work unit. Consists of an id of the owning entity and the name of the entity plus the name of the field (the role). This is needed because such collections aren't entities in the "normal" mapping, but they are entities for Envers.

See Also:
  Serialized Form

Constructor Summary
`PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId(Serializable ownerId, String role)`

Method Summary
`boolean` | `equals(Object o)`
`Serializable` | `getOwnerId()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId

    public PersistentCollectionChangeWorkUnit.PersistentCollectionChangeWorkUnitId(Serializable ownerId,
                                                                                   String role)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getOwnerId

    public Serializable getOwnerId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.